%% ICIP2020 supplementary
%% for paper: F.Sroubek, J.Kotera "Motion Blur Prior"
%% Matlab code
%
% An example of curve prior performance on the reconstruction of fast moving objects
%
% Main script: runme.m
%
% Script runme.m generates two random trajectories of a fast moving object 
% flying over the static background with SNR 20dB and 50dB.
% The trajectories and the object appearance are estimated with the 
% standard prior and the proposed curve prior. Results are displayed in two 
% separate figures. Run the script multiple times to get different results.
%
% other important functions:
% fmoRecon_std: main function performing estimation with the standard prior
% fmoRecon_curve: main function performing estimation with the proposed curve prior
%
% The default number of iterations is 100. 
% Default parameters (see fmoRecon_xxx.m) can be changes by 
% adding them in par50.m (for SNR=50dB) and par20.m (for SNR=20dB). 


