function [b, g, h, f] = createSynImage(snr,blurlen)

b = linscale(double(imread('background.jpg'))); % background
b = b(1:256,1:256,:);
f = load('foreground.mat');
f = f.fg;
m = double(repmat(sum(f~=0,3)>0,1,1,size(f,3)));
f = imresize(f,0.5);
m = imresize(m,0.5);
N = 100; % sampling of the blur curve

rsize = [size(b,2),size(b,1)]/2 - (blurlen + [size(f,2),size(f,1)]/2); 
spos = rsize.*randn(1,2);
if abs(spos(1))>rsize(1)
    spos(1) = sign(spos(1))*rsize(1);
end
if abs(spos(2))>rsize(2)
    spos(2) = sign(spos(2))*rsize(2);
end
a = 2*pi*rand(1);
delta = blurlen*[cos(a),sin(a)]; 
a2 = 10*randn(1);
% blur parameters are functions of time: angle(t), [x(t), y(t), z(t)],
% depth, position in the image (0,0) is the image center, image size

h = genstreak(linspace(0,a2,N), ...
    [linspace(0,delta(1),N)+spos(1); linspace(0,delta(2),N)+spos(2); linspace(0,0,N)],...
    1,[0 0].',[size(b,1) size(b,2)]);

% in all color channels we have the same blur
hr = repmat(h,[1 1 size(b,3)]);
% shift h by size(M)/2, because fft2 was used insted of conv to generate g 
hr = circshift(hr,-floor([size(m,1)/2, size(m,2)/2]));

F = fft2(hr,size(b,1),size(b,2)).*fft2(f,size(b,1),size(b,2));
%vn = sqrt(var(F(:),1)/(10^(snr/10)));
%sigma2 = vn^2;
%F = F + vn*randn(size(F));
% blurred mask
M = fft2(hr,size(b,1),size(b,2)).*fft2(m,size(b,1),size(b,2));

% final image
g = (1-real(ifft2(M))).*b + real(ifft2(F));
vn = sqrt(var(g(:),1)/(10^(snr/10)));
g = g + vn*randn(size(g));
