%% EXPERIMENT ON SYNTHETIC DATA
snr = [20,50];
parfiles = {'par20', 'par50'}; 
blurlen = 100;
psnr = zeros(length(snr),2);
ncor = zeros(length(snr),2);
for i = 1:length(snr)
    disp(['SNR: ',num2str(snr(i))]);
    
    disp('**** Generating synthetic image ****');
    [b,g,h,f] = createSynImage(snr(i),blurlen);
    figure(10+i);
    dispIm(g);
    title(['SNR: ',num2str(snr(i))]);
    drawnow;
    figure(i);
    subplot(3,2,1);
    dispIm(h);
    title(['GT Blur, SNR: ',num2str(snr(i))]);
    subplot(3,2,2);
    dispIm(f);
    title('GT Object');
    drawnow;
    
    % initialization
    sM = size(f) + [2 2 0];
    hinit = ones(size(h,1),size(h,2))/(size(h,1)*size(h,2));
    funi = ones(sM);
    
    disp(['**** Standard prior ****']);
    [hr1,fr1,mr1,report1] = fmoRecon_std(g,b,{funi},{0},hinit,parfiles{i});
    hr1(hr1<0) = 0;
    hr1 = hr1/sum(hr1(:));
    psnr(i,1) = psfpsnr(hr1, h);
    ncor(i,1) = psfncorr(hr1, h);
    
    disp(['**** Curve prior ****']);
    [hr2,fr2,mr2,report2] = fmoRecon_curve(g,b,{funi},{0},hinit,parfiles{i});
    hr2(hr2<0) = 0;
    hr2 = hr2/sum(hr2(:));
    psnr(i,2)= psfpsnr(hr2, h);
    ncor(i,2) = psfncorr(hr2, h);
    
    % plot results
    figure(i);
    subplot(3,2,3);
    dispIm(hr1);
    title('Est. Blur: std. prior');
    subplot(3,2,5);
    dispIm(hr2);
    title('Est. Blur: curve prior');
    subplot(3,2,4);
    dispIm(squeeze(fr1));
    title('Est. Object: std. prior');
    subplot(3,2,6);
    dispIm(squeeze(fr2));
    title('Est. Object: curve prior');
    drawnow;
 
end